{% extends "siswa/userbase.html.twig" %}
{% import "macros/form.html.twig" as f %}

{% block moreCss %}
    <link rel="stylesheet" type="text/css" href="{{ asset('vendor/slick/slick.css') }}"/>

    <style>
        .navbar {
            background-color: var(--primaryColor) !important;
            border-radius: 0 0 30px 30px;
        }

        .navbar a {
            color: white !important;
        }
    </style>
{% endblock %}

{% block body %}

    {#    DUMMY DATA#}
    {% set listKuponKonsul = [
        {'id': 1, 'namaKupon': "10 Kuota Pertanyaan", "harga": 40000, "diskon": 0, "keterangan": "Dapat digunakan untuk 10 kali pertanyaan"},
        {'id': 2, 'namaKupon': "30 Kuota Pertanyaan", "harga": 20000, "diskon": 2000, "keterangan": "Dapat digunakan untuk 30 kali pertanyaan"},
        {'id': 3, 'namaKupon': "50 Kuota Pertanyaan", "harga": 60000, "diskon": 0, "keterangan": "Dapat digunakan untuk 50 kali pertanyaan"},
    ] %}

    {% set listKuponKonsulPertemuan = [
        {'id': 1, 'namaKupon': "4 Pertemuan", "harga": 40000, "diskon": 0, "keterangan": "Dapat digunakan untuk 10 kali pertanyaan"},
        {'id': 2, 'namaKupon': "8 Pertemuan", "harga": 20000, "diskon": 2000, "keterangan": "Dapat digunakan untuk 30 kali pertanyaan"},
        {'id': 3, 'namaKupon': "8 Pertemuan", "harga": 20000, "diskon": 2000, "keterangan": "Dapat digunakan untuk 30 kali pertanyaan"},
    ] %}

    {% set listKuponTryout = [
        {'id': 1, 'namaKupon': "Akses Setahun", "harga": 40000, "diskon": 0, "keterangan": "Dapat digunakan untuk 10 kali pertanyaan", "image":"images/common/profil2-ex.png"},
        {'id': 2, 'namaKupon': "Akses Sebulan", "harga": 20000, "diskon": 2000, "keterangan": "Dapat digunakan untuk 30 kali pertanyaan",  "image":"images/common/profil2-ex.png"},
    ] %}

    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Belanja
        {% endblock %}

    {% endembed %}
    <section>

        <div class="w-100 mt-3 pb-2 container-fluid">
            <nav>
                <div class="nav w-100 d-block scrolling-wrapper" id="nav-tab" role="tablist">
                </div>
            </nav>
        </div>

        <hr>

        <div class="tab-content" id="nav-tabContent">
            {#            <div class="tab-pane fade show active " id="temanTryOut" role="tabpanel"#}
            {#                 aria-labelledby="temanTryOut-tab">#}
            {#                <section class="container-fluid">#}
            {#                    <div class="form-group col-md-4">#}
            {#                        <label for="inputState">Pilihan</label>#}
            {#                        <select id="inputState" class="form-control bg-white" style="border-radius: 50px">#}
            {#                            <option value="1">Tryout SMBPTN</option>#}
            {#                            <option value="2">Tryout CPNS</option>#}
            {#                            <option value="3">Tryout Ujian Sekolah</option>#}
            {#                        </select>#}
            {#                    </div>#}

            {#                                {% for i in 0..listKuponTryout|length - 1 %}#}

            {#                                    <a class="d-block t-black mr-1 ml-2">#}
            {#                                        <div class="gen-card text-left" style="overflow: hidden">#}
            {#                                            <div class="d-flex">#}
            {#                                                <div style="width: 6rem; overflow: hidden; position: relative; display: block">#}
            {#                                                    <img src="{{ asset('images/common/profil2-ex.png') }}"#}
            {#                                                         style="width: 6em;height: 100%; object-fit: cover; position:relative; display: block">#}
            {#                                                </div>#}

            {#                                                <div class=" p-3 ">#}
            {#                                                    <p class="mb-1 font-weight-bold">{{ listKuponTryout[i].namaKupon }}</p>#}
            {#                                                    <p class="mb-1 text-black-50 f08">{{ listKuponTryout[i].keterangan }}</p>#}

            {#                                                    {% if(listKuponKonsul[i].diskon) == 0 %}#}
            {#                                                        <div class="text-right">#}
            {#                                                            <p class="mb-1 font-weight-bold f12 t-primary">{{ listKuponTryout[i].harga }}</p>#}
            {#                                                        </div>#}
            {#                                                    {% else %}#}
            {#                                                        <div class="text-right">#}
            {#                                                            <p class="mb-1 font-weight-bold text-danger"#}
            {#                                                               style="text-decoration: line-through;">{{ listKuponKonsul[i].harga }}</p>#}
            {#                                                            <p class="mb-1 font-weight-bold f12 t-primary">{{ (listKuponKonsul[i].harga - listKuponKonsul[i].diskon) }}</p>#}
            {#                                                        </div>#}
            {#                                                    {% endif %}#}


            {#                                                </div>#}
            {#                                            </div>#}


            {#                                        </div>#}
            {#                                    </a>#}

            {#                                {% endfor %}#}
            {#                </section>#}
            {#            </div>#}

            {#            <div class="tab-pane fade show active" id="temanKonsul" role="tabpanel"#}
            {#                 aria-labelledby="temanKonsul-tab">#}
            {#                <section class="container-fluid">#}
            {#                    {% for i in 0..listKuponKonsul|length - 1 %}#}

            {#                        <a class="d-block t-black">#}
            {#                            <div class="gen-card p-3">#}
            {#                                <p class="mb-1">{{ listKuponKonsul[i].namaKupon }}</p>#}
            {#                                {% if(listKuponKonsul[i].diskon) == 0 %}#}
            {#                                    <p class="mb-1 font-weight-bold f12 t-primary">{{ listKuponKonsul[i].harga }}</p>#}
            {#                                {% else %}#}
            {#                                    <div class="d-flex">#}
            {#                                        <p class="mb-1 font-weight-bold text-danger mr-3"#}
            {#                                           style="text-decoration: line-through;">{{ listKuponKonsul[i].harga }}</p>#}
            {#                                        <p class="mb-1 font-weight-bold f12 t-primary">{{ (listKuponKonsul[i].harga - listKuponKonsul[i].diskon) }}</p>#}
            {#                                    </div>#}
            {#                                {% endif %}#}
            {#                                <p class="mb-1 text-black-50 f08">{{ listKuponKonsul[i].keterangan }}</p>#}

            {#                            </div>#}
            {#                        </a>#}

            {#                    {% endfor %}#}

            {#                    <p class="mt-5 font-weight-bold f12 mb-1">Berlangganan</p>#}
            {#                    <p>Lebih bebas mau tanya apa saja</p>#}
            {#                </section>#}
            {#                <div class="d-block scrolling-wrapper">#}
            {#                    {% for i in 0..listKuponKonsulPertemuan|length - 1 %}#}

            {#                        <a class="items t-black mr-1 ml-2" style="width: 35vw">#}
            {#                            <div class="gen-card p-3 text-center" style="width: 35vw">#}
            {#                                <p class="mb-3">{{ listKuponKonsulPertemuan[i].namaKupon }}</p>#}
            {#                                <p class="mb-1 text-black-50 f08">mulai</p>#}
            {#                                <p class="mb-1 font-weight-bold f12 t-primary">{{ listKuponKonsulPertemuan[i].harga }}</p>#}
            {#                                <p class="mb-1 text-black-50 f08">Per Bulan</p>#}

            {#                            </div>#}
            {#                        </a>#}

            {#                    {% endfor %}#}
            {#                </div>#}
            {#            </div>#}
        </div>

        <div class="space-25"></div>
    </section>


    {#<div class="tab-pane fade show active " id="temanTryOut" role="tabpanel"
         aria-labelledby="temanTryOut-tab">
        <section class="container-fluid">
            <div class="form-group col-md-4">
                <label for="inputState">Pilihan</label>
                <select id="inputState" class="form-control bg-white" style="border-radius: 50px">
                    <option value="1">Tryout SMBPTN</option>
                    <option value="2">Tryout CPNS</option>
                    <option value="3">Tryout Ujian Sekolah</option>
                </select>
            </div>
        </section>
    </div>#}

{% endblock %}


{% block JSMore %}
    <script src="{{ asset('js/formatter.js') }}"></script>

    <script>

        function fetchData(data) {
            console.log("FETCH DATA", data);
            let link = '{{ path('pilihSoalTryout', {cat : 0}) }}';
            data.forEach(function (data, key) {
                var tabId = data['name'].replaceAll(" ", "");

                $("#nav-tab").append('<a class="nav-item nav-link ' + (key == 0 ? 'active' : '') + ' tab-pils items" style="padding: 0.2rem 1rem;"\n' +
                    '                       id="nav-home-tab"\n' +
                    '                       data-toggle="tab" href="#' + tabId + '" role="tab" aria-controls="' + tabId + '"\n' +
                    '                       aria-selected="true">' + data['name'] + '</a>');
                console.log("single Data", data);
                var nlink = link.replace("0", data['id']);
                var options = data[data['childSlug']];
                let optionHtml = '';

                let contentHtml = '';

                if (options !== null && options.length > 0) {
                    options.forEach(function (child, key) {
                        var pricingSlug = (data['childSlug'] + "Pricing");
                        var pricingSlugId = pricingSlug + key;
                        optionHtml += '<option value="' + pricingSlugId + '">' + child['name'] + '</option>';
                        var pricing = child[pricingSlug];
                        contentHtml += '<div id="' + pricingSlugId + '"  class="' + (key == 0 ? '' : 'd-none') + ' scrolling-wrapper">';
                        if (pricing.length > 0) {
                            pricing.forEach(function (price, k) {
                                contentHtml += '<a class=" t-black mr-1 ml-2">\n' +
                                    '                                        <div class="gen-card text-left" style="overflow: hidden">\n' +
                                    '                                            <div class="d-flex">\n' +
                                    '                                                <div class="col-3">\n' +
                                    '                                                    <img src="'+child['icon']+'" style="width: 6em;height: 100%; object-fit: cover; position:relative; display: block">\n' +
                                    '                                                </div>\n' +
                                    '                                                <div class="col-9">\n' +
                                    '                                                    <p class="mb-1 font-weight-bold">' + price['name'] +'</p>\n' +
                                    '                                                    <p class="mb-1 text-black-50 f08">' + price['description'] +'</p>\n' +
                                    '                                                        <div class="text-right">\n' +
                                    '                                                            <p class="mb-1 font-weight-bold f12 t-primary">' + currency(price['price']) +'</p>\n' +
                                    '                                                        </div>\n' +

                                    // '                                                        <div class="text-right">\n' +
                                    // '                                                            <p class="mb-1 font-weight-bold text-danger"\n' +
                                    // '                                                               style="text-decoration: line-through;">130000</p>\n' +
                                    // '                                                            <p class="mb-1 font-weight-bold f12 t-primary">100000</p>\n' +
                                    // '                                                        </div>\n' +
                                    '                                                </div>\n' +
                                    '                                            </div>\n' +
                                    '                                        </div>\n' +
                                    '                                    </a>\n';
                            });


                        } else {
                            contentHtml += '<a class=" ' + (key == 0 ? '' : 'd-none') + ' t-black mr-1 ml-2">\n <h1>OOPPSS KOSONG</h1> </a>'
                        }
                        contentHtml += '</div>';
                    });


                    optionHtml = '<div class="form-group col-md-6">\n' +
                        '            <label for="inputState">Pilihan</label>\n' +
                        '            <select id="inputState" class="form-control bg-white" style="border-radius: 50px">\n' +
                        optionHtml +
                        ' </select>\n' +
                        '        </div>\n';

                }
                $("#nav-tabContent").append('<div class="tab-pane fade ' + (key == 0 ? 'show active' : '') + 'show active " id="' + tabId + '" role="tabpanel"\n' +
                    '     aria-labelledby="temanTryOut-tab">\n' +
                    '    <section class="container-fluid">\n' +
                    optionHtml +
                    contentHtml +
                    '    </section>\n' +
                    '</div>');
                // $("#content").append('<a class="d-block t-black" href="'+ nlink +'" >\n' +
                //     '            <div class="gen-card mt-2">\n' +
                //     '                <img src="'+ data['icon'] +'" class="w-100"\n' +
                //     '                     style=" border-radius: 15px 15px 0 0 ">\n' +
                //     '                <div class="d-flex p-3">\n' +
                //     '                    <p class="flex-grow-1 font-weight-bold mb-0">' + data['name'] +'</p>\n' +
                //     '                    <i class="mdi mdi-chevron-right f14"></i>\n' +
                //     '                </div>\n' +
                //     '            </div>\n' +
                //     '        </a>');
            })
        }

        $(document).on("change", "#inputState", function () {
            var id = $(this).val();
            $("div.scrolling-wrapper").addClass("d-none");
            $("#" + id).removeClass("d-none");
        });
    </script>

    {{ f.ajaxCall("fetchData", path("belanja_api"), "GET") }}

{% endblock %}

{#{% block JSMore %}#}


{#    <script type="text/javascript" src="{{ asset('vendor/slick/slick.js') }}"></script>#}
{#    <script type="text/javascript" src="{{ asset('js/wkwkwk.js') }}"></script>#}
{#    <script src="{{ asset('vendor/chart/Chart.min.js') }}"></script>#}

{#    <script>#}
{#        var ctx = document.getElementById('myChart').getContext('2d');#}
{#        var myChart = new Chart(ctx, {#}
{#            type: 'line',#}
{#            data: {#}
{#                labels: ['1 Jan', '7 Jan', '14 Jan', '21 Jan', '28 Jan'],#}
{#                datasets: [{#}
{#                    label: 'Nilai',#}
{#                    data: [80, 50, 63, 78, 90],#}
{#                    pointRadius: 5,#}
{#                    pointBackgroundColor: '#1DA1F2',#}
{#                    backgroundColor: [#}
{#                        '#1DA1F222'#}
{#                    ],#}
{#                    borderColor: [#}
{#                        '#E1F5FE'#}
{#                    ],#}
{#                    borderWidth: 1,#}
{#                    max: 100#}
{#                }]#}
{#            },#}
{#            options: {#}
{#                scales: {#}
{#                    yAxes: [{#}
{#                        ticks: {#}
{#                            beginAtZero: true,#}
{#                            max: 100,#}
{#                            stepSize: 25#}
{#                        }#}
{#                    }]#}
{#                }#}
{#            }#}
{#        });#}
{#    </script>#}
{#    <script>#}
{#        $(document).ready(function () {#}
{#            $('.paket').slick({#}
{#                arrows: false,#}
{#                centerMode: true,#}
{#                centerPadding: '20%',#}
{#                infinite: false,#}
{#                slidesToShow: 2,#}
{#                slidesToScroll: 3,#}
{#                variableWidth: true,#}
{#                initialSlide: 2,#}
{#                responsive: [#}
{#                    {#}
{#                        breakpoint: 768,#}
{#                        settings: {#}
{#                            arrows: false,#}
{#                            centerMode: true,#}
{#                            infinite: false,#}
{#                            centerPadding: '15%',#}
{#                            slidesToShow: 2,#}
{#                            slidesToScroll: 3,#}
{#                            variableWidth: true,#}
{#                            initialSlide: 2#}
{#                        }#}
{#                    },#}
{#                    {#}
{#                        breakpoint: 480,#}
{#                        settings: {#}
{#                            arrows: false,#}
{#                            centerMode: true,#}
{#                            mobileFirst: true,#}
{#                            infinite: false,#}
{#                            centerPadding: '10%',#}
{#                            slidesToShow: 2,#}
{#                            slidesToScroll: 3,#}
{#                            variableWidth: true,#}
{#                            initialSlide: 2#}
{#                        }#}
{#                    }#}
{#                ]#}
{#            });#}
{#        });#}
{#    </script>#}


{#{% endblock %}#}